StableOps
API 参考

恢复商户订阅

清除 StableOps 非终态商户订阅的期末取消标记;此操作不代付欠款,也不会将已经取消或过期的订阅重新激活。订阅按周期开票,用户仍需主动用钱包付款,自动开票不代表自动扣款。商户应结合账单结算、当前账期及订阅状态管理服务权限,不依赖前端返回判断成功。

POST/v1/merchant/subscriptions/{id}/resume

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

id*unknown

Merchant subscription id.

Response Body

application/json

curl -X POST "https://example.com/v1/merchant/subscriptions/{id}/resume"
{
  "id": "string",
  "merchant_user_id": "string",
  "plan_id": "string",
  "status": "incomplete",
  "current_period_start": "2019-08-24T14:15:22Z",
  "current_period_end": "2019-08-24T14:15:22Z",
  "cancel_at_period_end": true,
  "pending_plan_id": "string",
  "pending_plan_change_at": "2019-08-24T14:15:22Z",
  "trial_ends_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

这篇文档怎么样?

最后更新